#ifndef WIN08_MIF_H
#define WIN08_MIF_H

#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>
#include <QObject>
#include <QTimer>
#include <QDebug>
#include <QScrollBar>
#include <QPlainTextEdit>
#include <QComboBox>
#include <QLabel>
#include <QScrollArea>
#include <QSerialPortInfo>
#include <QWidget>
#include <QListWidget>
#include <QGroupBox>
#include <QPushButton>
#include <QRadioButton>
#include "tslib.h"
#include "stepList.h"
#include "plugin.h"
#include <QLineEdit>
#include "guidefs.h"

class T_win08 : public QWidget
{
    Q_OBJECT

    QGridLayout *myLayout;
    hwinf *HWaccess;
    uint16_t myNextStep;
    uint8_t myStep;
    QLabel *lab1;
    QLabel *lab2;
    QLabel *lab3;
    QTimer *myTO;

    QPushButton *pbMifPwr;  //, *pbMiftest;
    QLabel      *labCardTap;
//    QListWidget *labReaderState;
    QLabel *labReaderState;

    QLabel      *labCardUid;
//    QListWidget *dispCardData, *dispATBdata;
    QLabel  *labCardSiz, *labCardCunu, *labCardValid, *labCardPerso, *labCardExpire;


public:
    explicit T_win08(hwinf *HWaccess = nullptr, QWidget *parent = nullptr);
    bool work_ini(uint16_t *nextScreen, uint8_t *useNavi);
        // useNavi=0: no change
        // bit0,1: enable/disable button "next"
        // bit2,3: enable/disable button "home"
        // bit4,5: enable/disable button "back"
    bool working (uint16_t *nextScreen, uint8_t *useNavi);
    ~T_win08();

private slots:
    void Nav_back(void);
    void Nav_home(void);
    void Nav_next(void);
    void pbMifPower(void);
    //void pbMifTest(void);

};

#endif
