#ifndef WIN13_JSON_H
#define WIN13_JSON_H

#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>
#include <QObject>
#include <QTimer>
#include <QDebug>
#include <QScrollBar>
#include <QPlainTextEdit>
#include <QComboBox>
#include <QLabel>
#include <QScrollArea>
#include <QSerialPortInfo>
#include <QWidget>
#include <QListWidget>
#include <QGroupBox>
#include <QPushButton>
#include <QRadioButton>
#include "tslib.h"
#include "stepList.h"
#include "plugin.h"
#include "QTextEdit"
#include "datei.h"
#include "QDir"
#include "guidefs.h"
#include "QFileDialog"


class T_win13 : public QWidget
{
    Q_OBJECT

    //QGridLayout *myLayout;
    QHBoxLayout *myH0layer, *myH1layer;
    QVBoxLayout *myVmainlayer, *myVlayer_left;
    QVBoxLayout *myVlayer_midd;
    QVBoxLayout *myVlayer_right;

    hwinf *HWaccess;
    uint16_t myNextStep;
    uint8_t myStep;
    QLabel *lab1;
    QLabel *lab2;
    QLabel *lab3;
    QTimer *myTO;
    QPushButton *pB1, *pB2, *pB3, *pB4, *pB5, *pB6, *pB7, *pB8, *pB9;
    QTextEdit *showFile;
    QByteArray loadedFile;


public:
    explicit T_win13(hwinf *HWaccess = nullptr, QWidget *parent = nullptr);
    bool work_ini(uint16_t *nextScreen, uint8_t *useNavi);
        // useNavi=0: no change
        // bit0,1: enable/disable button "next"
        // bit2,3: enable/disable button "home"
        // bit4,5: enable/disable button "back"
    bool working (uint16_t *nextScreen, uint8_t *useNavi);
    ~T_win13();

public slots:
    void Nav_back(void);
    void Nav_home(void);
    void Nav_next(void);
    void slot_pb1(void);
    //void slot_pb2(void);
    //void slot_pb3(void);
    //void slot_pb4(void);
    void slot_pb5(void);
    //void slot_pb6(void);
    //void slot_pb7(void);
    //void slot_pb8(void);
    void slot_pb9(void);

};

#endif
